//**********************************************************************
//
//	moenia.shader for Q3 by Sims
//	Website : http://www.simonoc.com/
//
//**********************************************************************
//

// ----------------------------------------------------------------------

textures/moenia/noodglass2
{
	qer_editorimage textures/moenia/noodglass2.tga
	//q3map_surfaceLight 5000
	//q3map_lightsubdivide 128
    surfaceparm trans	 
    surfaceparm nodamage
	surfaceparm slick
	cull none
	qer_trans 0.5
    polygonOffset
    {
        map textures/moenia/noodglass2.tga
        tcgen environment
		blendFunc GL_ONE GL_ONE
	}  
}


textures/moenia/trigger
{	
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/moenia/light1_3k
{
	qer_editorimage textures/moenia/light1.tga
	q3map_lightImage textures/moenia/light1.tga
	q3map_surfacelight 3000
	q3map_nonplanar
	q3map_shadeangle 100
	surfaceparm trans
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/moenia/light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/moenia/light1_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 0.25
	}
}
// ----------------------------------------------------------------------
textures/moenia/light2_3k
{
	qer_editorimage textures/moenia/light2.tga
	q3map_lightImage textures/moenia/light2.tga
	q3map_surfacelight 3000
	q3map_nonplanar
	q3map_shadeangle 100
	surfaceparm trans
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/moenia/light2.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/moenia/light2_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 0.25
	}
}
// ----------------------------------------------------------------------
textures/moenia/light1_beam
{
	qer_editorimage textures/moenia/light1_beam.tga
	qer_alphafunc greater 0.5
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans 0.9
	cull none
	{
		map textures/moenia/light1_beam.tga
		blendFunc GL_ONE GL_ONE
		tcMod Scroll 0.1 0
		detail
	}
}

// ----------------------------------------------------------------------
textures/moenia/floor_stone1
{
	qer_editorimage textures/moenia/floor_stone1.tga
	q3map_nonplanar
	q3map_shadeangle 45
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/moenia/floor_stone1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

// ----------------------------------------------------------------------
textures/moenia/floor_steptop1
{
	qer_editorimage textures/moenia/floor_steptop1.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/moenia/floor_steptop1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/moenia/floor_steptop1c
{
	qer_editorimage textures/moenia/floor_steptop1c.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/moenia/floor_steptop1c.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/moenia/floor_stepside1
{
	qer_editorimage textures/moenia/floor_stepside1.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/moenia/floor_stepside1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/moenia/floor_stepside1c
{
	qer_editorimage textures/moenia/floor_stepside1c.tga
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/moenia/floor_stepside1c.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/moenia/marble_black
{
	qer_editorimage textures/moenia/marble_black.tga
	q3map_nonplanar
	q3map_shadeangle 45
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/moenia/marble_black.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/moenia/metal1
{
	qer_editorimage textures/moenia/metal1.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/moenia/metal1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/moenia/metal2
{
	qer_editorimage textures/moenia/metal2.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/moenia/metal2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/moenia/metal_trim1
{
	qer_editorimage textures/moenia/metal_trim1.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/moenia/metal_trim1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/moenia/rooftile1
{
	qer_editorimage textures/moenia/rooftile1.tga
	q3map_nonplanar
	q3map_shadeangle 90
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/moenia/rooftile1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/moenia/stone1
{
	qer_editorimage textures/moenia/stone1.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/moenia/stone1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/moenia/stone2
{
	qer_editorimage textures/moenia/stone2.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/moenia/stone2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

// ----------------------------------------------------------------------
textures/moenia/stone_trim1
{
	qer_editorimage textures/moenia/stone_trim1.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/moenia/stone_trim1.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/moenia/wood_grey
{
	qer_editorimage textures/moenia/wood_grey.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/moenia/wood_grey.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/moenia/wood_browndark
{
	qer_editorimage textures/moenia/wood_browndark.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/moenia/wood_browndark.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/moenia/wood_brownlight
{
	qer_editorimage textures/moenia/wood_brownlight.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/moenia/wood_brownlight.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/moenia/wood_trim1c
{
	qer_editorimage textures/moenia/wood_trim1c.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/moenia/wood_trim1c.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/moenia/wood_trim1d
{
	qer_editorimage textures/moenia/wood_trim1d.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/moenia/wood_trim1d.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/moenia/woodplank_1a
{
	qer_editorimage textures/moenia/woodplank_1a.tga
	q3map_nonplanar
	q3map_shadeangle 45
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/moenia/woodplank_1a.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/moenia/woodplank_1b
{
	qer_editorimage textures/moenia/woodplank_1b.tga
	q3map_nonplanar
	q3map_shadeangle 45
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/moenia/woodplank_1b.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/moenia/woodplank_2
{
	qer_editorimage textures/moenia/woodplank_2.tga
	q3map_nonplanar
	q3map_shadeangle 45
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/moenia/woodplank_2.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

// ======================================================================
// DECALS
// ======================================================================
textures/moenia/decal_stain1
{
	qer_editorimage textures/moenia/decal_stain1.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/moenia/decal_stain1.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}
// ----------------------------------------------------------------------
textures/moenia/decal_stain2a
{
	qer_editorimage textures/moenia/decal_stain2a.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/moenia/decal_stain2a.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}
// ----------------------------------------------------------------------
textures/moenia/decal_stain2b
{
	qer_editorimage textures/moenia/decal_stain2b.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/moenia/decal_stain2b.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}
// ----------------------------------------------------------------------
textures/moenia/decal_stain3a
{
	qer_editorimage textures/moenia/decal_stain3a.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/moenia/decal_stain3a.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}
// ----------------------------------------------------------------------
textures/moenia/decal_stain3b
{
	qer_editorimage textures/moenia/decal_stain3b.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/moenia/decal_stain3b.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

// ======================================================================
// B U T T O N S
// ======================================================================
textures/moenia/button_woodhand
{
	qer_editorimage textures/moenia/button_woodhand.tga
	q3map_nonplanar
	q3map_shadeangle 75
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/moenia/button_woodhand.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/moenia/button_woodhand45
{
	qer_editorimage textures/moenia/button_woodhand45.tga
	q3map_nonplanar
	q3map_shadeangle 75
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/moenia/button_woodhand45.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/moenia/button_woodshoot
{
	qer_editorimage textures/moenia/button_woodshoot.tga
	q3map_nonplanar
	q3map_shadeangle 75
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/moenia/button_woodshoot.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
// ----------------------------------------------------------------------
textures/moenia/button_woodside
{
	qer_editorimage textures/moenia/button_woodside.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/moenia/button_woodside.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}
